> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# removeOvertime

> The `removeOvertime` API is used to remove overtime entries for an employee in a pay period.

### When to use:
- When correcting overtime mistakes before payroll submission

### Notes:
- Pay period must be in an editable state (see the `PayrollProcessing` guide)
- overtimeType can be used to remove specific overtimes for a user
- Automatically updates earnings calculations after removal



## OpenAPI

````yaml post /payroll/removeOvertime
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /payroll/removeOvertime:
    post:
      tags: []
      summary: removeOvertime
      description: >-
        The `removeOvertime` API is used to remove overtime entries for an
        employee in a pay period.


        ### When to use:

        - When correcting overtime mistakes before payroll submission


        ### Notes:

        - Pay period must be in an editable state (see the `PayrollProcessing`
        guide)

        - overtimeType can be used to remove specific overtimes for a user

        - Automatically updates earnings calculations after removal
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                payPeriodId:
                  type: string
                userId:
                  type: string
                overtimeType:
                  type: string
              required:
                - method
                - companyId
                - payPeriodId
                - userId
            example:
              method: removeOvertime
              companyId: F59AE5EA-BE39-4120-A11E-DA2610D866CA
              payPeriodId: 382005A7-7B3E-4787-9B2B-2A3BE1767D7B
              userId: A34C2BA9-900D-46B8-A297-644F82D68E29
              overtimeType: Comp off OT
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  overtimeRemoval:
                    type: object
                    properties:
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - status
                      - message
                required:
                  - overtimeRemoval
              examples:
                '1':
                  summary: Success
                  value:
                    overtimeRemoval:
                      status: Success
                      message: Comp off OT have been removed successfully.
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: PayScheduleId is mandatory
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                required:
                  - error
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````